Capture is a request that submits a previously authorized transaction for settlement (i.e. payment by the shopper). Note that each credit card company will only hold the authorization for a limited period (for example, 3-10 days, depending on the credit card scheme).
Auth Only required before Capture
Before you can send a transaction for capture, you must send it for authorization using the Auth Only request.
The capture will be performed based on the details that were in the Auth Only request (currency, credit card, etc.).
Request Content
Send a cardTransaction object, with the following:
| Property | Type | Required |
|---|---|---|
amount | decimal | optional. Default value is the full authorization amount |
cardTransactionType | string | required, value must be CAPTURE |
level3Data | object | optional (refer to level3Data) |
productDescription | string | optional |
softDescriptor | string | optional |
surchargeInfo | object | required if surcharging is enabled (refer to surchargeInfo) |
taxReference | string | optional |
transactionId | string | required, value must be the transaction ID from the Auth Only response |
transactionMetaData | object | optional (refer to transactionMetaData) |
vendorsInfo | object | optional. Applicable if using marketplace vendor(s) (refer to vendorsInfo) |
Note
Non-reusable cards cannot be used as a payment method.
Response Details
If successful, the response HTTP status code is 200 OK and contains the cardTransaction object. The transactionId in the response will match the transactionId for the initial Auth Only.
Examples
Request Examples
curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"cardTransactionType": "CAPTURE",
"transactionId": "1011671985"
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"cardTransactionType": "CAPTURE",
"transactionId": "1015593705",
"vendorsInfo": {
"vendorInfo": [
{"vendorId": 10398032}
]
}
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"cardTransactionType": "CAPTURE",
"transactionId": "1016133355",
"amount": 75.0
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"cardTransactionType": "CAPTURE",
"transactionId": "1016141063",
"amount": 65.0,
"vendorsInfo": {
"vendorInfo": [
{"vendorId": 10398032}
]
}
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"cardTransactionType": "CAPTURE",
"transactionId": "45983212",
"taxReference": "55cb8e0a-6003-4690-a55b-6fdd86943a8e",
"amount": 10.63
}curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"amount": 51,
"surchargeInfo": {
"surchargeToken": "eyJhbGciOi**********"
},
"vendorInfo": {
"vendorId": 5003075,
"commissionPercent": 10
},
"cardTransactionType": "CAPTURE",
"transactionId": 1164362851
}'Response Examples
{
"amount": 11,
"usdAmount": 11,
"currency": "USD",
"transactionApprovalDate": "09/29/2020",
"transactionApprovalTime": "13:08:47",
"vaultedShopperId": 1234,
"processingInfo": {
"processingStatus": "SUCCESS",
"transactionRegion": "US"
},
"softDescriptor": "BLS*DescTest",
"cardHolderInfo": {
"firstName": "test first name",
"lastName": "test last name",
"zip": "02453"
},
"creditCard": {
"cardLastFourDigits": "0026",
"cardSubType": "CREDIT",
"cardType": "VISA",
"cardCategory": "CLASSIC"
},
"cardTransactionType": "CAPTURE",
"transactionId": "1011671985"
}{
"cardTransactionType": "CAPTURE",
"vendorInfo": {
"vendorId": 10398032,
"commissionPercent": 20
},
"vendorsInfo": {
"vendorInfo": [
{
"vendorId": 10398032,
"commissionPercent": 20
}
]
},
"transactionId": "1015593705",
"softDescriptor": "BLS*DescTest",
"amount": 11,
"currency": "USD",
"usdAmount": 11,
"transactionApprovalDate": "09/29/2020",
"transactionApprovalTime": "13:08:47",
"cardHolderInfo": {
"firstName": "test first name",
"lastName": "test last name",
"zip": "02453"
},
"vaultedShopperId": 22324271,
"creditCard": {
"cardLastFourDigits": "9299",
"cardType": "VISA",
"cardSubType": "CREDIT",
"cardCategory": "GOLD"
},
"processingInfo": {
"processingStatus": "SUCCESS",
"cvvResponseCode": "MA",
"avsResponseCodeZip": "U",
"avsResponseCodeAddress": "U",
"avsResponseCodeName": "U"
}
}{
"cardTransactionType": "CAPTURE",
"transactionId": "1016133355",
"softDescriptor": "BLS*DescTest",
"amount": 75,
"openToCapture": 25,
"currency": "USD",
"usdAmount": 75,
"transactionApprovalDate": "09/29/2020",
"transactionApprovalTime": "13:08:47",
"cardHolderInfo": {
"firstName": "test first name",
"lastName": "test last name",
"zip": "123456"
},
"vaultedShopperId": 22483647,
"creditCard": {
"cardLastFourDigits": "9299",
"cardType": "VISA",
"cardSubType": "CREDIT",
"cardCategory": "GOLD"
},
"processingInfo": {
"processingStatus": "SUCCESS",
"cvvResponseCode": "MA",
"avsResponseCodeZip": "U",
"avsResponseCodeAddress": "U",
"avsResponseCodeName": "U"
}
}{
"cardTransactionType": "CAPTURE",
"vendorInfo": {
"vendorId": 10398032,
"commissionPercent": 90.2
},
"vendorsInfo": {
"vendorInfo": [
{
"vendorId": 10398032,
"commissionPercent": 90.2
}
]
},
"transactionId": "1016141063",
"softDescriptor": "BLS*DescTest",
"amount": 65,
"openToCapture": 15,
"currency": "USD",
"usdAmount": 65,
"transactionApprovalDate": "09/29/2020",
"transactionApprovalTime": "13:08:47",
"cardHolderInfo": {
"firstName": "test first name",
"lastName": "test last name",
"zip": "123456"
},
"vaultedShopperId": 22484023,
"creditCard": {
"cardLastFourDigits": "9299",
"cardType": "VISA",
"cardSubType": "CREDIT",
"cardCategory": "GOLD"
},
"processingInfo": {
"processingStatus": "SUCCESS",
"cvvResponseCode": "MA",
"avsResponseCodeZip": "U",
"avsResponseCodeAddress": "U",
"avsResponseCodeName": "U"
}
}{
"cardTransactionType": "CAPTURE",
"vendorInfo": {
"vendorId": 5003075,
"commissionPercent": 10
},
"vendorsInfo": {
"vendorsInfoProcessingStatus": "COMPLETED",
"vendorInfo": [
{
"vendorId": 5003075,
"commissionPercent": 10
}
]
},
"transactionId": "1164362851",
"recurringTransaction": "ECOMMERCE",
"softDescriptor": "BLS*MARKETPLACE",
"amount": 51,
"usdAmount": 51.0,
"openToCapture": 50.0,
"currency": "USD",
"cardHolderInfo": {
"firstName": "Igubbxey",
"lastName": "Pkegkrri",
"country": "us",
"state": "CA",
"address": "blue lane 21",
"city": "london",
"zip": "123456",
"phone": "1800808080"
},
"vaultedShopperId": 97904159,
"creditCard": {
"cardLastFourDigits": "0009",
"cardType": "VISA",
"cardSubType": "CREDIT",
"cardCategory": "CLASSIC",
"binCategory": "CONSUMER",
"binNumber": "445701",
"cardRegulated": "N",
"issuingBank": "CARD SERVICES FOR CREDIT UNIONS, INC.",
"expirationMonth": "10",
"expirationYear": "2029",
"issuingCountryCode": "us"
},
"networkTransactionInfo": {
"originalNetworkTransactionId": "894728115404290",
"networkTransactionId": "894728115404290"
},
"productDescription": "N/A N/A",
"surchargeInfo": {
"surchargeReference": 112952,
"surchargeAmount": 0.5,
"surchargeRate": 2.4,
"description": "Surcharge successfully applied on transaction"
},
"processingInfo": {
"processingStatus": "SUCCESS",
"cvvResponseCode": "MA",
"authorizationCode": "11111 ",
"avsResponseCodeZip": "N",
"avsResponseCodeAddress": "N",
"avsResponseCodeName": "U",
"networkTransactionId": "894728115404290",
"transactionRegion": "US",
"supportsMultiPartialCapture": false
},
"fraudResultInfo": {
"deviceDataCollector": "N"
}
}Partial Capture
- To have partial captures enabled, contact your Implementation Specialist or Merchant Support.
- Once a partial capture has been processed, the remaining authorization amount cannot be voided (reversed).
- Apple Pay only supports single partial capture.
API Explorer
To test out a basic API request, click the "Try It!" button in the right-hand column to test using the default, pre-populated sample values. To test with your own values, edit the parameter fields below. You'll see them populate in the right-hand column and you can click the "Try It!" button to submit your test request and see a response.
